Package: org.gradle.plugins.ide.eclipse.model

## [Groovy] Class Link

- org.gradle.plugins.ide.eclipse.model.Link

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `location`
    `String` | `locationUri`
    `String` | `name`
    `String` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Link (String name, String type, String location, String locationUri)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `equals(def o)`
    `int` | `hashCode()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### String location

    - #### String locationUri

    - #### String name

    - #### String type

  - ### Constructor Detail

    - #### Link(String name, String type, String location, String locationUri)

  - ### Method Detail

    - #### boolean equals(def o)

    - #### int hashCode()